Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 260817 - stabilize media-video/dirac-1.0.2
Summary: stabilize media-video/dirac-1.0.2
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: fortify-source werror
  Show dependency tree
 
Reported: 2009-03-02 03:56 UTC by Mike
Modified: 2009-05-20 16:28 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (media-video:dirac-1.0.0:20090302-034920.log,166.46 KB, text/plain)
2009-03-02 03:58 UTC, Mike
Details
Remove -Werror in configure.ac (dirac_remove_Werror.patch,588 bytes, text/plain)
2009-03-06 00:08 UTC, Magnus Granberg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike 2009-03-02 03:56:23 UTC
* ERROR: media-video/dirac-1.0.0 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2564:  Called die
 * The specific snippet of code:
 *       VARTEXFONTS="${T}/fonts" emake || die "emake failed"
 *  The die message:
 *   emake failed
Comment 1 Mike 2009-03-02 03:58:31 UTC
Created attachment 183649 [details]
Build log
Comment 2 Mike 2009-03-02 03:59:43 UTC
emerge --info
WARNING: One or more repositories have missing repo_name entries:

        /usr/local/portage/my/profiles/repo_name

NOTE: Each repo_name entry should be a plain text file containing a
unique name for the repository on the first line.                  
Portage 2.2_rc23 (default/linux/x86/2008.0, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.28-gentoo i686)
=================================================================                                 
System uname: Linux-2.6.28-gentoo-i686-Intel-R-_Core-TM-2_Duo_CPU_E7200_@_2.53GHz-with-glibc2.0   
Timestamp of tree: Sun, 01 Mar 2009 18:30:01 +0000                                                
app-shells/bash:     3.2_p48-r1
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.5.4-r2
dev-util/cmake:      2.6.2-r1
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r1
sys-apps/sandbox:    1.3.8
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O3 -march=native -mtune=native -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O3 -march=native -mtune=native -pipe -fomit-frame-pointer"
DISTDIR="/var/portage/distfiles"
FEATURES="buildpkg candy ccache distlocks fixpackages parallel-fetch preserve-libs protect-owned sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="ru_RU.UTF-8"
LC_ALL=""
LDFLAGS="-Wl,-O1"
LINGUAS="ru"
MAKEOPTS="-j5"
PKGDIR="/var/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/portage/.tmp"
PORTDIR="/var/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/sunrise /usr/local/portage/layman/qutim-overlay /usr/local/portage/my"
SYNC="rsync://update.metrolife.ru/gentoo-portage"
USE="7zip X a52 aac aalib acl acpi aim alsa amr amrnb amrwb apache2 bash-completion bluetooth bzip2 cairo cli clock-screen cracklib crypt ctype cups curl dbus djvu dridvdread embedded encode ffmpeg filter flac foomaticdb gdbm gif glitz gnutls gpm hal hash hddtemp iconv icq imagemagick irc isdnlog jabber jpeg jpeg2k kdm key-screen kqemu ldap libcaca libwww lm_sensors md5sum midi mmx mng mouse mp2 mp3 mp4 mppe-mppc mrnb mudflap mysql ncurses nls nptl nptlonly nvidia ogg opengl openmp pae pam pcre pdf perl png postgres ppds pppd python qt3 qt4 rdesktop readline redland reflection samba sasl scanner sdl search-screen session spl sqlite sse sse2 ssl ssse3 sysfs tcpd theora threads tiff unicode usb vcd vnc vorbis vram webkit wifi win32codecs x264 x86 xattr xcomposite xinerama xml xorg xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru" USERLAND="GNU" VIDEO_CARDS="vesa intel"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Rafał Mużyło 2009-03-04 00:43:28 UTC
g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -D_FILE_OFFSET_BITS=64 -DSTDC_HEADERS=1 -DHAVE__BOOL=1 -DHAVE_STDBOOL_H=1 -I. -I.. -I.    -g -pedantic -Wall -Werror -W -Woverloaded-virtual -Wextra -O3 -march=native -mtune=native -pipe -fomit-frame-pointer -mmmx -DHAVE_MMX -MT decmain.o -MD -MP -g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -D_FILE_OFFSET_BITS=64 -DSTDC_HEADERS=1 -DHAVE__BOOL=1 -DHAVE_STDBOOL_H=1 -I. -I.. -I.    -g -pedantic -Wall -Werror -W -Woverloaded-virtual -Wextra -O3 -march=native -mtune=native -pipe -fomit-frame-pointer -mmmx -DHAVE_MMX -MT decmain.o -MD -MP -MF .deps/decmain.Tpo -c -o decmain.o decmain.cpp
cc1plus: warnings being treated as errors
decmain.cpp: In function 'void WritePicData(dirac_decoder_t*, FILE*)':
decmain.cpp:76: error: ignoring return value of 'size_t fwrite(const void*, size_t, size_t, FILE*)', declared with attribute warn_unused_result
decmain.cpp:79: error: ignoring return value of 'size_t fwrite(const void*, size_t, size_t, FILE*)', declared with attribute warn_unused_result
decmain.cpp:82: error: ignoring return value of 'size_t fwrite(const void*, size_t, size_t, FILE*)', declared with attribute warn_unused_result
MF .deps/decmain.Tpo -c -o decmain.o decmain.cpp
cc1plus: warnings being treated as errors
decmain.cpp: In function 'void WritePicData(dirac_decoder_t*, FILE*)':
decmain.cpp:76: error: ignoring return value of 'size_t fwrite(const void*, size_t, size_t, FILE*)', declared with attribute warn_unused_result
decmain.cpp:79: error: ignoring return value of 'size_t fwrite(const void*, size_t, size_t, FILE*)', declared with attribute warn_unused_result
decmain.cpp:82: error: ignoring return value of 'size_t fwrite(const void*, size_t, size_t, FILE*)', declared with attribute warn_unused_result
Comment 4 Peter Alfredsen (RETIRED) gentoo-dev 2009-03-05 22:44:24 UTC
The bug we see below can probably be fixed by patching the sources to not append -Werror or adding -Wno-error
Comment 5 Magnus Granberg gentoo-dev 2009-03-06 00:08:56 UTC
Created attachment 184076 [details]
Remove -Werror in configure.ac
Comment 6 Patrick Lauer gentoo-dev 2009-04-03 16:10:27 UTC
Issue is fixed in 1.0.2. 
Arches: please stabilize 1.0.2.
Comment 7 Markus Meier gentoo-dev 2009-04-04 14:50:23 UTC
amd64/x86 stable
Comment 8 Tobias Klausmann gentoo-dev 2009-04-05 11:33:21 UTC
Stable on alpha.
Comment 9 Raúl Porcel (RETIRED) gentoo-dev 2009-04-06 14:01:05 UTC
arm/ia64/sparc stable, bsd doesn't do stable keywords
Comment 10 Jeroen Roovers gentoo-dev 2009-04-09 02:36:40 UTC
Stable for HPPA.
Comment 11 Brent Baude (RETIRED) gentoo-dev 2009-04-14 01:09:21 UTC
ppc64 done
Comment 12 nixnut (RETIRED) gentoo-dev 2009-05-20 16:28:09 UTC
ppc stable. closing since we're last